#!/bin/bash
#set -e
source ./install.ini
DEPLOY_FILE=$(dirname $0)
if [ ! -d ${DEPLOY_DIR} ];then mkdir -p ${DEPLOY_DIR};fi
sc_dir=${DEPLOY_DIR}/search-center

#将docker-compose工程部署到本机
if [[ ! -d ${sc_dir} && ! -f  ~/.hcrc ]];then
         cp -rf ${DEPLOY_FILE}/search_center ${sc_dir}
else
        echo "目标目录已安装search_center,请检查${sc_dir}和.hcrc是否存在"
        exit 127
fi


#将配置文件存入环境变量文件，使其全局生效
cp ./install.ini ${sc_dir}/install.ini.example
env_context=$(cat ${sc_dir}/install.ini.example |grep -v "^#"|grep -v "^$")
echo "${env_context}">${sc_dir}/.env
source ${sc_dir}/.env
ln -s ${sc_dir}/.env ${sc_dir}/install.ini 2>/dev/null

#安装hcrc版本文件
echo -e "sc_dir=${sc_dir}\n search-center版本${SC_IMAGE_VERSION}">~/.hcrc 2>/dev/null || echo ""

#安装hcctl管理命令
sudo cp hcctl /usr/local/bin && sudo chmod +x /usr/local/bin/hcctl
ln -s /usr/local/bin/hcctl /usr/bin/hcctl 2>/dev/null
cd ${sc_dir}

#--------------------部署-----------------------#
echo -e "----------安装向导------------"
echo -e "- all模式-->全部安装(主服务seatch-center+数据库+队列)"
echo -e "- server模式-->只安装主服务search-center(请注意提前修改install.ini中外部db和mq的连接配置)"
echo -e "- controller模式-->安装主服务search-center+数据库 or 队列"
echo -e "------------------------------"
PS3='请选择安装模式: '

hcctl install_compose-files
if [ $? -ne 0 ];then
	echo "安装过程出现错误，请查看相关配置..."
	exit 127
fi
echo "search-center 服务已安装成功..."
sleep 2
echo -e "服务启动状态： "
sleep 2
sudo /usr/local/bin/hcctl status
sleep 2 
echo "Good Bye ~"
